PHP Manual
Prev |  | Next

# SoapServer->__construct()

(no version information, might be only in CVS)

SoapServer->__construct() -- SoapServer constructor

## Description

class SoapServer {
__construct ( mixed wsdl [, array options] )
}

This constructor allows the creation of SoapServer objects in WSDL or non-WSDL mode.

## Parameters

wsdl

  If you want the WSDL mode, you must set this to the URI of a WSDL file. In the other case, you must set this to `NULL` and set the uri option.

options

  Allow setting a default SOAP version (soap_version), internal character encoding (encoding), and actor URI (actor). The classmap option can be used to map some WSDL types to PHP classes. This option must be an array with WSDL types as keys and names of PHP classes as values.

## Examples

Example 1. Some examples

`<?php
$server = new SoapServer("some.wsdl");
$server = new SoapServer("some.wsdl", array('soap_version' => SOAP_1_2));
$server = new SoapServer("some.wsdl", array('actor' => "http://example.org/ts-tests/C"));
$server = new SoapServer("some.wsdl", array('encoding'=>'ISO-8859-1'));
$server = new SoapServer(null, array('uri' => "http://test-uri/"));
class MyBook {
public $title;
public $author;
}
$server = new SoapServer("books.wsdl", array('classmap' => array('book' => "MyBook")));
?>`

Prev | Home | Next
SoapServer->addFunction() | Up | SoapServer->fault()